#!/bin/bash

# cd to directory of this script
cd "`echo $0 | perl -pe 's|/[^/]+$||'`"
pwd

# insert tag text
insert () {
   perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

# output1 title
output1 () {
  markdown | cat head1 - foot | insert title "$1"
}

# prepare calendar table
calendar=$(./calendar.py calendar.txt)

# calendar.php
cat calendar.md |\
   insert calendar "${calendar}" |\
   output "$(cat title) (Calendar)" > ../calendar.php

# index.php
cat index.md |\
   insert calendar "${calendar}" |\
   output "$(cat title)" > ../index.php

# source.php
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.php

# links.php
cat links.md |\
   output "$(cat title) (Links)" > ../links.php

# create tarball
cd ..
tar -czf source.tar.gz source

# update math.columbia.edu, then open link
unison -servercmd /home/bayer/bin/unison S15
open http://www.math.columbia.edu/~bayer/S15/Combinatorics
